# class Chef::Resource::EasyInstallPackage

### Public Class Methods

new(name, run_context=nil) click to toggle source
Calls superclass method Chef::Resource::Package.new

    # File lib/chef/resource/easy_install_package.rb, line 25
    def initialize(name, run_context=nil)
      super
      @resource_name = :easy_install_package
      @provider = Chef::Provider::Package::EasyInstall
    end

### Public Instance Methods

easy_install_binary(arg=nil) click to toggle source

    # File lib/chef/resource/easy_install_package.rb, line 31
    def easy_install_binary(arg=nil)
      set_or_return(
        :easy_install_binary,
        arg,
        :kind_of => [ String ]
      )
    end

module_name(arg=nil) click to toggle source

    # File lib/chef/resource/easy_install_package.rb, line 47
    def module_name(arg=nil)
      set_or_return(
        :module_name,
        arg,
        :kind_of => [ String ]
      )
    end

python_binary(arg=nil) click to toggle source

    # File lib/chef/resource/easy_install_package.rb, line 39
    def python_binary(arg=nil)
      set_or_return(
        :python_install_binary,
        arg,
        :kind_of => [ String ]
      )
    end